Subject: [Add] Section 4 of the draft DDR spec makes erroneous(?) reference to since-renamed(?) field SvcDomainName

From: Hazel Smith <[email-masked]>
Date: Mon, 26 Jul 2021 15:58:55 +0100

Dear Adaptive DNS Discovery Working Group,

I see that Section 4 of the draft DDR specification [I-D.ietf-add-ddr]
makes reference to the field "SvcDomainName", as follows:

> "the SVCB response MUST NOT use the "." value for the SvcDomainName"

However, the field name "SvcDomainName" appears only twice in the
draft SVCB/HTTPS specification [I-D.ietf-dnsop-svcb-https], and in
both cases in the context of the HTTPS (nee HTTPSSVC) RRType.

(The name "SvcDomainName" appears 28 times in the expired HTTPSSVC
draft [I-D.nygren-httpbis-httpssvc], compared to the aforementioned
twice in the draft combined SVCB/HTTPS specification
[I-D.ietf-dnsop-svcb-https] where instead the name TargetName appears
43 times.)

Given that document says that the HTTPS RR type is an "SVCB-compatible
RR type", and Section 1.2 of that document defines the second
(mandatory) field of the SVCB RR as TargetName, I believe that
references in both that document and in the draft DDR specification to
"SvcDomainName" may in fact be in error, and that in the place of
"SvcDomainName" the string "TargetName" should appear.

As such, I thought I would raise what appears to be an inconsistency
in updating these various drafts.

Kind Regards,

Hazel Smith <[email-masked]>
Site Reliability Engineer, Traffic Control SRE, Google

--
[I-D.ietf-add-ddr]
              Pauly, T., Kinnear, E., Wood, C.A., McManus, P., Jensen,
              T., "Discovery of Designated Resolvers", Work in
              Progress, Internet-Draft, draft-ietf-add-ddr-02, 8 July
              2021, <https://datatracker.ietf.org/doc/html/draft-ietf-add-
              ddr-02>

[I-D.ietf-dnsop-svcb-https]
              Schwartz, B., Bishop, M., and E. Nygren, "Service binding
              and parameter specification via the DNS (DNS SVCB and
              HTTPS RRs)", Work in Progress, Internet-Draft, draft-ietf-
              dnsop-svcb-https-06, 16 June 2021,
              <https://www.ietf.org/archive/id/draft-ietf-dnsop-svcb-
              https-06.txt>.

[I-D.nygren-httpbis-httpssvc]
              Schwartz, B., Bishop, M., and E. Nygren, "HTTPSSVC
              service location and parameter specification via the DNS
              (DNS HTTPSSVC)", Expired & archived, Internet-Draft,
              draft-nygren-httpbis-httpssvc-03, 8 July 2019,
              <https://datatracker.ietf.org/doc/html/draft-nygren-httpbis-
              httpssvc-03>.

---

From: Tommy Jensen <[email-masked]>
Date: Mon, 26 Jul 2021 15:35:42 +0000

Huh, you're correct; I must have confused the different draft versions when adding this requirement. Thank you! I have filed this as a bug on the doc repo for tracking for the next revision after IETF 111: https://github.com/ietf-wg-add/draft-ietf-add-ddr/issues/29

Thanks,
Tommy

> -----Original Message-----
> From: Add <[email-masked]> On Behalf Of Hazel Smith
> Sent: Monday, July 26, 2021 7:59 AM
> To: [email-masked]
> Subject: [EXTERNAL] [Add] Section 4 of the draft DDR spec makes erroneous(?)
> reference to since-renamed(?) field SvcDomainName
> 
> I see that Section 4 of the draft DDR specification [I-D.ietf-add-ddr] makes
> reference to the field "SvcDomainName", as follows:
> 
> However, the field name "SvcDomainName" appears only twice in the draft
> SVCB/HTTPS specification [I-D.ietf-dnsop-svcb-https], and in both cases in the
> context of the HTTPS (nee HTTPSSVC) RRType.
> 
> (The name "SvcDomainName" appears 28 times in the expired HTTPSSVC draft
> [I-D.nygren-httpbis-httpssvc], compared to the aforementioned twice in the
> draft combined SVCB/HTTPS specification [I-D.ietf-dnsop-svcb-https] where
> instead the name TargetName appears
> 43 times.)
> 
> Given that document says that the HTTPS RR type is an "SVCB-compatible RR
> type", and Section 1.2 of that document defines the second
> (mandatory) field of the SVCB RR as TargetName, I believe that references in
> both that document and in the draft DDR specification to "SvcDomainName"
> may in fact be in error, and that in the place of "SvcDomainName" the string
> "TargetName" should appear.
> 
> As such, I thought I would raise what appears to be an inconsistency in
> updating these various drafts.
> 
> Kind Regards,
> 
>               2021,
> <https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatr
> acker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-add-
> &amp;data=04%7C01%7CJensen.Thomas%40microsoft.com%7C503351a06529
> 4e08a4ac08d950460110%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0
> %7C637629084366157670%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjA
> wMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sd
> ata=lmkaAtB7VrgJG9gQzsk9n8QgdU24hkuMxHcsgjjK7Ok%3D&amp;reserved=0
>               ddr-02>
> 
> 
> <https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.i
> etf.org%2Farchive%2Fid%2Fdraft-ietf-dnsop-svcb-
> &amp;data=04%7C01%7CJensen.Thomas%40microsoft.com%7C503351a06529
> 4e08a4ac08d950460110%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0
> %7C637629084366157670%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjA
> wMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sd
> ata=ZdIVM%2FQBihKf%2BJHMWtdTrFI8f8JbmBLmLM7JomESzY0%3D&amp;res
> erved=0
>               https-06.txt>.
> 
> <https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fdatatr
> acker.ietf.org%2Fdoc%2Fhtml%2Fdraft-nygren-httpbis-
> &amp;data=04%7C01%7CJensen.Thomas%40microsoft.com%7C503351a06529
> 4e08a4ac08d950460110%7C72f988bf86f141af91ab2d7cd011db47%7C1%7C0
> %7C637629084366157670%7CUnknown%7CTWFpbGZsb3d8eyJWIjoiMC4wLjA
> wMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWwiLCJXVCI6Mn0%3D%7C1000&amp;sd
> ata=fnkil5ZBHZkO7HskEUCpd2UnIBKN3zLSZ3H2woOTgw4%3D&amp;reserved=
> 0
>               httpssvc-03>.
> 
> --
> Add mailing list
> [email-masked]
> https://nam06.safelinks.protection.outlook.com/?url=https%3A%2F%2Fwww.ie
> tf.org%2Fmailman%2Flistinfo%2Fadd&amp;data=04%7C01%7CJensen.Thomas
> %40microsoft.com%7C503351a065294e08a4ac08d950460110%7C72f988bf86
> f141af91ab2d7cd011db47%7C1%7C0%7C637629084366167656%7CUnknown
> %7CTWFpbGZsb3d8eyJWIjoiMC4wLjAwMDAiLCJQIjoiV2luMzIiLCJBTiI6Ik1haWw
> iLCJXVCI6Mn0%3D%7C1000&amp;sdata=tMkXOiRKV3ucVwZ4t%2Fi2j%2FoGF4
> iSj1p5HBrL8DuT0%2Bk%3D&amp;reserved=0